<?php
namespace MascotCoreEdulerns\Widgets\Tutor\Skins;
use Elementor\Widget_Base;
use Elementor\Controls_Manager;
use Elementor\Group_Control_Image_Size;
use Elementor\Skin_Base as Elementor_Skin_Base;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class Skin_Style2 extends Elementor_Skin_Base {

	protected function _register_controls_actions() {
		add_action( 'elementor/element/tm-ele-tutor-categories/general/after_section_end', [ $this, 'register_layout_controls' ] );
	}

	public function get_id() {
		return 'skin-style2';
	}


	public function get_title() {
		return __( 'Skin Style2', 'mascot-core-edulerns' );
	}


	public function register_layout_controls( Widget_Base $widget ) {
		$this->parent = $widget;

		//Current Title Styling
		$this->start_controls_section(
			'current_title_styling',
			[
				'label' => esc_html__( 'Current Skin - Title Styling', 'mascot-core-edulerns' ),
				'tab'   => \Elementor\Controls_Manager::TAB_STYLE,
			]
		);
		$this->start_controls_tabs('tabs_current_theme_title_styling');
		$this->start_controls_tab(
			'tabs_current_theme_title_styling_normal',
			[
				'label' => esc_html__('Normal', 'mascot-core-oitech'),
			]
		);
		$this->add_responsive_control(
			'current_title_color',
			[
				'label' => esc_html__( "Current Title Color", 'mascot-core-edulerns' ),
				'type' => \Elementor\Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .tutor-categories-skin-style2 .feature-title' => 'color: {{VALUE}};',
					'{{WRAPPER}} .tutor-categories-skin-style2 .feature-title a' => 'color: {{VALUE}};'
				]
			]
		);
		$this->add_responsive_control(
			'current_title_theme_color',
			[
				'label' => esc_html__( "Make Title Theme Colored", 'mascot-core-edulerns' ),
				'type' => \Elementor\Controls_Manager::SELECT,
				'options' => mascot_core_edulerns_theme_color_list(),
				'default' => '',
				'selectors' => [
					'{{WRAPPER}} .tutor-categories-skin-style2 .feature-title' => 'color: var(--theme-color{{VALUE}});',
					'{{WRAPPER}} .tutor-categories-skin-style2 .feature-title a' => 'color: var(--theme-color{{VALUE}});'
				],
			]
		);
		$this->end_controls_tab();

		$this->start_controls_tab(
			'tabs_current_theme_title_styling_hover',
			[
				'label' => esc_html__('Hover', 'mascot-core-oitech'),
			]
		);
		$this->add_responsive_control(
			'current_title_hover_color',
			[
				'label' => esc_html__( "Current Title Color", 'mascot-core-edulerns' ),
				'type' => \Elementor\Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .tutor-categories-skin-style2 .feature-title:hover' => 'color: {{VALUE}};',
					'{{WRAPPER}} .tutor-categories-skin-style2 .feature-title a:hover' => 'color: {{VALUE}};'
				]
			]
		);
		$this->add_responsive_control(
			'current_title_theme_hover_color',
			[
				'label' => esc_html__( "Make Title Theme Colored", 'mascot-core-edulerns' ),
				'type' => \Elementor\Controls_Manager::SELECT,
				'options' => mascot_core_edulerns_theme_color_list(),
				'default' => '',
				'selectors' => [
					'{{WRAPPER}} .tutor-categories-skin-style2 .feature-title:hover' => 'color: var(--theme-color{{VALUE}});',
					'{{WRAPPER}} .tutor-categories-skin-style2 .feature-title a:hover' => 'color: var(--theme-color{{VALUE}});'
				],
			]
		);
		$this->end_controls_tab();
		$this->end_controls_tabs();
		$this->end_controls_section();




		//Current Sub Title Styling
		$this->start_controls_section(
			'current_subtitle_styling',
			[
				'label' => esc_html__( 'Current Skin - Sub Title Styling', 'mascot-core-edulerns' ),
				'tab'   => \Elementor\Controls_Manager::TAB_STYLE,
			]
		);
		$this->start_controls_tabs('tabs_current_theme_subtitle_styling');
		$this->start_controls_tab(
			'tabs_current_theme_subtitle_styling_normal',
			[
				'label' => esc_html__('Normal', 'mascot-core-oitech'),
			]
		);
		$this->add_responsive_control(
			'current_subtitle_color',
			[
				'label' => esc_html__( "Current Sub Title Color", 'mascot-core-edulerns' ),
				'type' => \Elementor\Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .tutor-categories-skin-style2 .feature-subtitle' => 'color: {{VALUE}};',
				]
			]
		);
		$this->add_responsive_control(
			'current_subtitle_theme_color',
			[
				'label' => esc_html__( "Make Sub Title Theme Colored", 'mascot-core-edulerns' ),
				'type' => \Elementor\Controls_Manager::SELECT,
				'options' => mascot_core_edulerns_theme_color_list(),
				'default' => '',
				'selectors' => [
					'{{WRAPPER}} .tutor-categories-skin-style2 .feature-subtitle' => 'color: var(--theme-color{{VALUE}});',
				],
			]
		);
		$this->end_controls_tab();

		$this->start_controls_tab(
			'tabs_current_theme_subtitle_styling_hover',
			[
				'label' => esc_html__('Hover', 'mascot-core-oitech'),
			]
		);
		$this->add_responsive_control(
			'current_subtitle_hover_color',
			[
				'label' => esc_html__( "Current Sub Title Color", 'mascot-core-edulerns' ),
				'type' => \Elementor\Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .tutor-categories-skin-style2 .feature-subtitle:hover' => 'color: {{VALUE}};',
				]
			]
		);
		$this->add_responsive_control(
			'current_subtitle_theme_hover_color',
			[
				'label' => esc_html__( "Make Sub Title Theme Colored", 'mascot-core-edulerns' ),
				'type' => \Elementor\Controls_Manager::SELECT,
				'options' => mascot_core_edulerns_theme_color_list(),
				'default' => '',
				'selectors' => [
					'{{WRAPPER}} .tutor-categories-skin-style2 .feature-subtitle:hover' => 'color: var(--theme-color{{VALUE}});',
				],
			]
		);
		$this->end_controls_tab();
		$this->end_controls_tabs();
		$this->end_controls_section();


		//Current Icon Styling
		$this->start_controls_section(
			'current_icon_styling',
			[
				'label' => esc_html__( 'Current Skin - Icon Styling', 'mascot-core-edulerns' ),
				'tab'   => \Elementor\Controls_Manager::TAB_STYLE,
			]
		);
		$this->start_controls_tabs('tabs_current_theme_icon_styling');
		$this->start_controls_tab(
			'tabs_current_theme_icon_styling_normal',
			[
				'label' => esc_html__('Normal', 'mascot-core-oitech'),
			]
		);
		$this->add_responsive_control(
			'current_icon_color',
			[
				'label' => esc_html__( "Custom Icon Color", 'mascot-core-edulerns' ),
				'type' => \Elementor\Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .tutor-categories-skin-style2 .inner-box .feature-icon .icon' => 'color: {{VALUE}};',
				]
			]
		);
		$this->add_responsive_control(
			'current_icon_theme_colored',
			[
				'label' => esc_html__( "Make icon Theme Colored", 'mascot-core-edulerns' ),
				'type' => \Elementor\Controls_Manager::SELECT,
				'options' => mascot_core_edulerns_theme_color_list(),
				'default' => '',
				'selectors' => [
					'{{WRAPPER}} .tutor-categories-skin-style2 .inner-box .feature-icon .icon' => 'color: var(--theme-color{{VALUE}});',
				],
			]
		);
		$this->end_controls_tab();

		$this->start_controls_tab(
			'tabs_current_theme_icon_styling_hover',
			[
				'label' => esc_html__('Hover', 'mascot-core-oitech'),
			]
		);
		$this->add_responsive_control(
			'current_icon_color_hover',
			[
				'label' => esc_html__( "Custom Icon Color", 'mascot-core-edulerns' ),
				'type' => \Elementor\Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .tutor-categories-skin-style2 .inner-box:hover .feature-icon .icon' => 'color: {{VALUE}};',
				]
			]
		);
		$this->add_responsive_control(
			'current_icon_theme_colored_hover',
			[
				'label' => esc_html__( "Make Icon Theme Colored", 'mascot-core-edulerns' ),
				'type' => \Elementor\Controls_Manager::SELECT,
				'options' => mascot_core_edulerns_theme_color_list(),
				'default' => '',
				'selectors' => [
					'{{WRAPPER}} .tutor-categories-skin-style2 .inner-box:hover .feature-icon .icon' => 'color: var(--theme-color{{VALUE}});',
				],
			]
		);
		$this->end_controls_tab();
		$this->end_controls_tabs();
		$this->end_controls_section();

		//Current Background Styling
		$this->start_controls_section(
			'current_icon_background_styling',
			[
				'label' => esc_html__( 'Current Skin - Icon BG Styling', 'mascot-core-edulerns' ),
				'tab'   => \Elementor\Controls_Manager::TAB_STYLE,
			]
		);
		$this->start_controls_tabs('tabs_current_theme_icon_bg_styling');
		$this->start_controls_tab(
			'tabs_current_theme_icon_bg_styling_normal',
			[
				'label' => esc_html__('Normal', 'mascot-core-oitech'),
			]
		);
		$this->add_responsive_control(
			'current_icon_bg_color',
			[
				'label' => esc_html__( "Custom Background Color", 'mascot-core-edulerns' ),
				'type' => \Elementor\Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .tutor-categories-skin-style2 .inner-box .feature-icon' => 'background-color: {{VALUE}};'
				]
			]
		);
		$this->add_responsive_control(
			'current_icon_bg_colored',
			[
				'label' => esc_html__( "Make BG Theme Colored", 'mascot-core-edulerns' ),
				'type' => \Elementor\Controls_Manager::SELECT,
				'options' => mascot_core_edulerns_theme_color_list(),
				'default' => '',
				'selectors' => [
					'{{WRAPPER}} .tutor-categories-skin-style2 .inner-box .feature-icon' => 'background-color: var(--theme-color{{VALUE}});'
				],
			]
		);
		$this->end_controls_tab();

		$this->start_controls_tab(
			'tabs_current_theme_icon_bg_styling_hover',
			[
				'label' => esc_html__('Hover', 'mascot-core-oitech'),
			]
		);
		$this->add_responsive_control(
			'current_icon_bg_color_hover',
			[
				'label' => esc_html__( "Custom Background Color", 'mascot-core-edulerns' ),
				'type' => \Elementor\Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .tutor-categories-skin-style2 .inner-box:hover .feature-icon' => 'background-color: {{VALUE}};'
				]
			]
		);
		$this->add_responsive_control(
			'current_icon_bg_theme_colored_hover',
			[
				'label' => esc_html__( "Make BG Theme Colored", 'mascot-core-edulerns' ),
				'type' => \Elementor\Controls_Manager::SELECT,
				'options' => mascot_core_edulerns_theme_color_list(),
				'default' => '',
				'selectors' => [
					'{{WRAPPER}} .tutor-categories-skin-style2 .inner-box:hover .feature-icon' => 'background-color: var(--theme-color{{VALUE}});'
				],
			]
		);
		$this->end_controls_tab();
		$this->end_controls_tabs();
		$this->end_controls_section();



		//Current Background Styling
		$this->start_controls_section(
			'current_background_styling',
			[
				'label' => esc_html__( 'Current Skin - BG Styling', 'mascot-core-edulerns' ),
				'tab'   => \Elementor\Controls_Manager::TAB_STYLE,
			]
		);
		$this->start_controls_tabs('tabs_current_theme_bg_styling');
		$this->start_controls_tab(
			'tabs_current_theme_bg_styling_normal',
			[
				'label' => esc_html__('Normal', 'mascot-core-oitech'),
			]
		);
		$this->add_responsive_control(
			'current_bg_color',
			[
				'label' => esc_html__( "Custom Background Color", 'mascot-core-edulerns' ),
				'type' => \Elementor\Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .tutor-categories-skin-style2 .inner-box' => 'background-color: {{VALUE}};'
				]
			]
		);
		$this->add_responsive_control(
			'current_bg_colored',
			[
				'label' => esc_html__( "Make BG Theme Colored", 'mascot-core-edulerns' ),
				'type' => \Elementor\Controls_Manager::SELECT,
				'options' => mascot_core_edulerns_theme_color_list(),
				'default' => '',
				'selectors' => [
					'{{WRAPPER}} .tutor-categories-skin-style2 .inner-box' => 'background-color: var(--theme-color{{VALUE}});'
				],
			]
		);
		$this->end_controls_tab();

		$this->start_controls_tab(
			'tabs_current_theme_bg_styling_hover',
			[
				'label' => esc_html__('Hover', 'mascot-core-oitech'),
			]
		);
		$this->add_responsive_control(
			'current_bg_color_hover',
			[
				'label' => esc_html__( "Custom Background Color", 'mascot-core-edulerns' ),
				'type' => \Elementor\Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .tutor-categories-skin-style2 .inner-box:hover' => 'background-color: {{VALUE}};'
				]
			]
		);
		$this->add_responsive_control(
			'current_bg_theme_colored_hover',
			[
				'label' => esc_html__( "Make BG Theme Colored", 'mascot-core-edulerns' ),
				'type' => \Elementor\Controls_Manager::SELECT,
				'options' => mascot_core_edulerns_theme_color_list(),
				'default' => '',
				'selectors' => [
					'{{WRAPPER}} .tutor-categories-skin-style2 .inner-box:hover' => 'background-color: var(--theme-color{{VALUE}});'
				],
			]
		);
		$this->end_controls_tab();
		$this->end_controls_tabs();
		$this->end_controls_section();



		//Current Border Styling
		$this->start_controls_section(
			'current_border_styling',
			[
				'label' => esc_html__( 'Current Skin - Border Styling', 'mascot-core-edulerns' ),
				'tab'   => \Elementor\Controls_Manager::TAB_STYLE,
			]
		);
		$this->start_controls_tabs('tabs_current_theme_border_styling');
		$this->start_controls_tab(
			'tabs_current_theme_border_styling_normal',
			[
				'label' => esc_html__('Normal', 'mascot-core-oitech'),
			]
		);
		$this->add_responsive_control(
			'current_border_color',
			[
				'label' => esc_html__( "Custom Border Color", 'mascot-core-edulerns' ),
				'type' => \Elementor\Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .tutor-categories-skin-style2 .inner-box:before' => 'border-color: {{VALUE}};'
				]
			]
		);
		$this->add_responsive_control(
			'current_border_theme_colored',
			[
				'label' => esc_html__( "Make Border Theme Colored", 'mascot-core-edulerns' ),
				'type' => \Elementor\Controls_Manager::SELECT,
				'options' => mascot_core_edulerns_theme_color_list(),
				'default' => '',
				'selectors' => [
					'{{WRAPPER}} .tutor-categories-skin-style2 .inner-box:before' => 'border-color: var(--theme-color{{VALUE}});'
				],
			]
		);
		$this->end_controls_tab();

		$this->start_controls_tab(
			'tabs_current_theme_border_styling_hover',
			[
				'label' => esc_html__('Hover', 'mascot-core-oitech'),
			]
		);
		$this->add_responsive_control(
			'current_border_color_hover',
			[
				'label' => esc_html__( "Custom Border Color", 'mascot-core-edulerns' ),
				'type' => \Elementor\Controls_Manager::COLOR,
				'selectors' => [
					'{{WRAPPER}} .tutor-categories-skin-style2 .inner-box:hover:before' => 'border-color: {{VALUE}};'
				]
			]
		);
		$this->add_responsive_control(
			'current_border_theme_colored_hover',
			[
				'label' => esc_html__( "Make Border Theme Colored", 'mascot-core-edulerns' ),
				'type' => \Elementor\Controls_Manager::SELECT,
				'options' => mascot_core_edulerns_theme_color_list(),
				'default' => '',
				'selectors' => [
					'{{WRAPPER}} .tutor-categories-skin-style2 .inner-box:hover:before' => 'border-color: var(--theme-color{{VALUE}});'
				],
			]
		);
		$this->end_controls_tab();
		$this->end_controls_tabs();
		$this->end_controls_section();

	}

	public function render() {
		$settings = $this->parent->get_settings_for_display();


		//classes
		$classes = array();
		$settings['classes'] = $classes;

		//enqueue css
		$direction_suffix = is_rtl() ? '.rtl' : '';
		wp_enqueue_style( 'tm-tutor-categories-skin-style2', MASCOT_CORE_EDULERNS_ASSETS_URI . '/css/shortcodes/tutor-categories/tutor-categories-skin-style2' . $direction_suffix . '.css' );

		$course_terms = get_term_by( 'slug', $settings['category'], 'course-category' );
		$settings['course_terms'] = $course_terms;

		$settings['settings'] = $settings;

		//Produce HTML version by using the parameters (filename, variation, folder name, parameters, shortcode_ob_start)
		$html = mascot_core_edulerns_get_shortcode_template_part( 'tutor-categories-' . $settings['_skin'], null, 'tutor-categories/tpl', $settings, true );

		echo $html;
	}
}